package com.usky.dxtop.controller.web;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.api.TopApi;
import com.usky.dxtop.service.emun.OrderPayType;
import com.usky.dxtop.service.emun.OrderStatus;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.core.util.JsonUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/8/23 13:51
 */
@Slf4j
@RestController
public class TestController {

    @Autowired
    private OrderService orderService;

    @GetMapping("test1")
    public AjaxResult test1(){
        LambdaQueryWrapper<Order> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .ne(Order::getPayType, OrderPayType.XJ.getPayCode())
                .and(wrapper -> wrapper.eq(Order::getOrderFlag, OrderStatus.NO_PAYMENT.getCode())
                        .or()
                        .eq(Order::getOrderFlag, OrderStatus.AWAIT_PAY.getCode()));
        List<Order> list = orderService.list(queryWrapper);
        return AjaxResult.success(list);
    }

}
